Bug 166590 - kernel BUG at lib/radix-tree.c:271
kernel BUG at lib/radix-tree.c:271
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 13:34 EDT by Adrien Bustany
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 19:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrien Bustany 2005-08-23 13:34:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6 Mnenhy/0.7

Description of problem:
Using mplex (mjpegtools) to mux two big files (around 7Gb), mplex segfaults and dmesg says there is a bug. Any access to the directory is then impossible, mount segfaults (no remount possible).,The only way of solving this is to reboot.
Here is the dmesg stuff : 
------------[ cut here ]------------
kernel BUG at lib/radix-tree.c:271!
invalid operand: 0000 [#1]
Modules linked in: nls_utf8 fglrx(U) lp autofs4 eeprom i2c_isa i2c_viapro sunrpc iptable_nat iptable_mangle ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables video button battery ac usblp md5 ipv6 ohci1394 ieee1394 uhci_hcd bt878 tuner bttv video_buf i2c_algo_bit v4l2_common btcx_risc tveeprom videodev parport_pc parport via686a i2c_sensor i2c_core snd_cmipci gameport snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_page_alloc snd_opl3_lib snd_timer snd_hwdep snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy ext3 jbd
CPU:    0
EIP:    0060:[<c02104ec>]    Tainted: P      VLI
EFLAGS: 00210086   (2.6.12-1.1398_FC4)
EIP is at radix_tree_insert+0xe7/0x13d
eax: ffffffff   ebx: cb7872dc   ecx: cb7872dc   edx: 00000024
esi: 00000000   edi: cb787370   ebp: 00000004   esp: caebdd74
ds: 007b   es: 007b   ss: 0068
Process mplex (pid: 3402, threadinfo=caebd000 task=cc8a0000)
Stack: badc0ded c104bec0 0005d6e4 cd7ab764 cb7872dc c104bec0 cd7ab760 0005d6e4
       cd7ab760 c01528bf 00000000 00000000 0005d6e4 c01544e3 000000d0 00000001
       caebdefc 00000001 00001000 cce0b740 d08e0840 cd7ab678 c104bec0 00001000
Call Trace:
 [<c01528bf>] add_to_page_cache+0x2e/0x63
 [<c01544e3>] generic_file_buffered_write+0x121/0x5f9
 [<c01281d4>] current_fs_time+0x4e/0x69
 [<c01a01f8>] inode_update_time+0x2d/0x99
 [<c0154c3a>] __generic_file_aio_write_nolock+0x27f/0x493
 [<c0155097>] generic_file_aio_write+0x71/0xde
 [<d08c3736>] ext3_file_write+0x24/0x9a [ext3]
 [<c017b8f8>] do_sync_write+0x9e/0xec
 [<c01400c2>] autoremove_wake_function+0x0/0x37
 [<c01889c1>] sys_fstat64+0x23/0x28
 [<c017b85a>] do_sync_write+0x0/0xec
 [<c017b9e4>] vfs_write+0x9e/0x110
 [<c017bb01>] sys_write+0x41/0x6a
 [<c0103a51>] syscall_call+0x7/0xb
Code: 91 04 01 00 00 19 c0 85 c0 75 62 8b 4c 24 0c 0f a3 91 0c 01 00 00 19 c0 85 c0 75 0f 8b 04 24 89 07 31 c0 83 c4 10 5b 5e 5f 5d c3 <0f> 0b 0f 01 dc ef 38 c0 eb e7 c7 44 24 0c 00 00 00 00 31 d2 e9


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1.cd to any directory
2.mux two big files using mplex
3.wait for the segfault :-)
  

Actual Results:  A segmentation fault of mplex occured. The kernel showed a bug

Expected Results:  mplex should have muxed its two streams quietly

Additional info:

mjpegtools mplex-2 version 1.6.3-rc1 (2.2.3)
Comment 1 Adrien Bustany 2005-08-23 13:37:14 EDT
Forgot to say : to system won't shutdown properly then, I need to reset it
Comment 2 Dave Jones 2005-08-26 19:39:51 EDT
We can't debug problems with binary modules loaded.

Note You need to log in before you can comment on or make changes to this bug.